aria2 upstream 1.6.1 remote Denial of Service

2009.10.22
Risk: High
Local: No
Remote: Yes
CWE: CWE-134


CVSS Base Score: 7.6/10
Impact Subscore: 10/10
Exploitability Subscore: 4.9/10
Exploit range: Remote
Attack complexity: High
Authentication: No required
Confidentiality impact: Complete
Integrity impact: Complete
Availability impact: Complete

aria2 upstream has released latest 1.6.2 release, fixing one DoS issue. From 1.6.2 Release Note: This release fixes segmentation fault error if URI to download contains printf format string and logging is enabled * Fixed the bug that causes segmentation fault if req->getCurrentUrl() contains printf format string such as %d. The statement that causes this bug is useless and removed. References: ----------- http://aria2.svn.sourceforge.net/viewvc/aria2/trunk/NEWS?revision=1586 https://bugzilla.redhat.com/show_bug.cgi?id=529342 Upstream patch: --------------- http://aria2.svn.sourceforge.net/viewvc/aria2/trunk/src/AbstractCommand.cc?r1=1539&r2=1572 Affected versions: ------------------ aria2-1.5.x && aria2-1.6.x (aria2-1.3.x is not vulnerable) Could you allocate a CVE identifier? Thanks && Regards, Jan.

References:

https://bugzilla.redhat.com/show_bug.cgi?id=529342
http://marc.info/?l=oss-security&m=125568632528906&w=2
http://aria2.svn.sourceforge.net/viewvc/aria2/trunk/src/AbstractCommand.cc?r1=1539&r2=1572
https://fedorahosted.org/rel-eng/ticket/2495
http://www.vupen.com/english/advisories/2009/2960
http://secunia.com/advisories/31732
http://marc.info/?l=oss-security&m=125572053420493&w=2
http://aria2.svn.sourceforge.net/viewvc/aria2/trunk/NEWS?revision=1586


Vote for this issue:
50%
50%


 

Thanks for you vote!


 

Thanks for you comment!
Your message is in quarantine 48 hours.

Comment it here.


(*) - required fields.  
{{ x.nick }} | Date: {{ x.ux * 1000 | date:'yyyy-MM-dd' }} {{ x.ux * 1000 | date:'HH:mm' }} CET+1
{{ x.comment }}

Copyright 2021, cxsecurity.com

 

Back to Top